import { atom } from "jotai";
import { ApiRespons } from "../api";
import { Produksjonslenke } from "../../kartSide/types/produksjonslenke";
import { KontraktBrukerDto } from "../useHentKontraktinfo";
import { RodeDto } from "../useHentRoder";

export const brukerInfoAtom = atom<ApiRespons<KontraktBrukerDto> | undefined>(undefined);
export const produksjonslenkerAtom = atom<ApiRespons<Produksjonslenke[]> | undefined>(undefined);
export const roderAtom = atom<ApiRespons<RodeDto[]> | undefined>(undefined);
