import { DataStatus, FetchStatus } from "../api";
import { Produksjonslenke } from "../../kartSide/types/produksjonslenke";
import { atom } from "jotai";

export const øktProduksjonslenkerAtom = atom<Produksjonslenke[]>([]);
export const øktProduksjonslenkerResponsAtom = atom<DataStatus<Produksjonslenke[]>>({
    status: FetchStatus.IkkeHentet,
});

export const lasterØktProduksjonslenkerAtom = atom<boolean>((get) => {
    const respons = get(øktProduksjonslenkerResponsAtom);
    return respons.status === FetchStatus.Laster;
});
