import useSWR from "swr";
import { ApiRespons, FeilType, fetcher } from "./api";
import { GCP_MEDIATOR_URL } from "../utils/baseUrl";

export function useHentTidspunktSisteImport(): ApiRespons<number> | undefined {
    const customFetcher = async (): Promise<ApiRespons<number>> =>
        await fetcher<number>(
            `${GCP_MEDIATOR_URL}/siste-import`,
            FeilType.KUNNE_IKKE_HENTE_SISTE_IMPORT,
        );
    const { data } = useSWR<ApiRespons<number>>("siste-import", customFetcher);
    return data;
}
