import { Provider } from "jotai";
import { InitKartdata } from "../../api/context/InitKartdata";
import { KartSide } from "../../kartSide/KartSide";
import { Metadata } from "next";
import InitBrøytebilspinner from "../../kartSide/brøytebilSpinner/InitBrøytebilspinner";

export const metadata: Metadata = {
    title: "Produksjonskart - Driftsportal",
};
export default function Produksjonskart() {
    return (
        <Provider>
            <InitBrøytebilspinner />
            <InitKartdata />
            <KartSide />
        </Provider>
    );
}
