import styled from "styled-components";

export interface IkonProps {
    width?: number;
    height?: number;
}

interface DefaultIkonProps {
    $url: string;
    width: number;
    height: number;
}

export const Ikon = styled.i<DefaultIkonProps>`
    background: url(${(props) => props.$url}) no-repeat;
    background-size: ${(props) => `${props.width}px ${props.height}px`};
    width: ${(props) => props.width}px;
    height: ${(props) => props.height}px;
    display: block;
`;
