import styled from "styled-components";
import { breakpointMobil } from "../../../utils/constants";

export const Lukknapp = styled.button`
    border: none;
    background: url("/ikon/lukknapp.svg") var(--white) no-repeat 50%/16px;
    width: 40px;
    height: 40px;
    border-radius: 20px;
    font-size: 0;

    &:hover {
        border: 3px solid var(--gray-dark);
        cursor: pointer;
    }

    &:focus {
        outline: 3px solid var(--orange);
        border: 3px solid var(--gray-dark);
        outline-offset: 2px;
    }

    &:active {
        border: 3px solid var(--gray-dark);
        background-color: var(--gray-regular);
    }

    @media (max-width: ${breakpointMobil}) {
        width: 32px;
        height: 32px;
        background: url("/ikon/lukknapp.svg") var(--white) no-repeat 50%/12px;
    }
`;
