import { css } from "styled-components";

export const TekstBasisStyles = css`
    color: var(--gray-dark);
    font-family: "LFT Etica", sans-serif;
    font-style: normal;
`;

export const fontsizeLargeScreen = css`
    font-size: 16px;
`;
export const fontsizeSmallScreen = css`
    font-size: 14px;
`;

export type Størrelse = "XS" | "S" | "M" | "L" | "XL";

export const fontsizeTheme = {
    XS: "12px",
    S: "14px",
    M: "16px",
    L: "18px",
    XL: "20px",
};

export const fontsizeThemeSmall = {
    XS: "10px",
    S: "12px",
    M: "14px",
    L: "16px",
    XL: "18px",
};

export const lineheightTheme = {
    XS: "20px",
    S: "22px",
    M: "24px",
    L: "26px",
    XL: "28px",
};

export const lineheightThemeSmall = {
    XS: "18px",
    S: "20px",
    M: "22px",
    L: "24px",
    XL: "26px",
};
