import styled from "styled-components";

export const Kortlenke = styled.a`
    background-color: var(--white);
    border-bottom: 2px solid var(--orange);
    box-shadow: 0 0 6px 2px rgba(63, 62, 67, 0.08);
    box-sizing: border-box;
    color: inherit;
    display: flex;
    flex-direction: column;
    height: 100%;
    padding: 24px 32px;
    text-decoration: none;

    &:hover,
    &:focus {
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    }
    &:hover {
        border-width: 3px;
        margin-bottom: -1px;

        h2 {
            border-bottom: 2px solid var(--gray-dark-65);
            margin-bottom: -2px;
        }
    }

    &:focus {
        border: 2px solid var(--gray-dark);
        outline: 2px solid var(--orange);
        outline-offset: 2px;
        padding: 22px 30px 24px 30px;
    }
`;
