import React, { MutableRefObject } from "react";
import * as L from "leaflet";

export const useDisableScrollPropagtaion = (ref: MutableRefObject<any>) => {
    React.useEffect(() => {
        if (ref?.current) {
            L.DomEvent.disableScrollPropagation(ref.current);
        }
    }, [ref]);
};
