import { useEffect } from "react";
import { useMap } from "react-leaflet";
import { gjørClusterUntabable } from "../../hooks/useUntabableClusters";

export const HoldClusterUtabbbar = () => {
    const map = useMap();
    useEffect(() => {
        map.on("moveend", () => {
            gjørClusterUntabable();
        });
        map.on("zoomend", () => {
            gjørClusterUntabable();
        });
        return () => {
            map.off("moveend");
            map.off("zoomend");
        };
    }, [map]);
    return null;
};
