import { TrafikkmeldingCluster } from "../marker/TrafikkmeldingCluster";
import { TrafikkmeldingerDto } from "../../api/useHentTrafikkmeldinger";
import React from "react";

interface TrafikkmeldingerProps {
    trafikkmeldinger: TrafikkmeldingerDto[];
}
export const TrafikkmeldingClusterWrapper = ({ trafikkmeldinger }: TrafikkmeldingerProps) => {
    return (
        <>
            <TrafikkmeldingCluster
                trafikkmeldingdata={trafikkmeldinger.filter(
                    (trafikkmelding) => trafikkmelding.roadClosed,
                )}
                stengtVeg={true}
            />
            <TrafikkmeldingCluster
                trafikkmeldingdata={trafikkmeldinger.filter(
                    (trafikkmelding) => !trafikkmelding.roadClosed,
                )}
                stengtVeg={false}
            />
        </>
    );
};
