import { Materiale } from "./materiale";
import { Point } from "geojson";

export interface Produksjonsdetaljer {
    produksjonsdataRestRec: number[];
    kjøretøyId?: string;
    datoLogget: string;
    hastighetKmHAvg: number;
    materiale?: Materiale;
    erPlogNede?: boolean;
    erSideplogIBruk?: boolean;
    erHøvelskjærNede?: boolean;
    erUnderliggendeSkjærNede?: boolean;
    erTørrstoffsprederPå?: boolean;
    erVåtstoffsprederPå?: boolean;
    sprederbreddetoerrstoffcm?: number;
    sprederbreddevaatstoffcm?: number;
    doseringtoerrstoffgm2?: number;
    doseringvaatstoffmlm2?: number;
    eksternReferanse?: string;
    minutterSiden: number;
    startLokasjon: LokasjonOgRecordId;
    sluttLokasjon: LokasjonOgRecordId;
    vegsystemreferansekortform?: string;
    rodeId: string[];
}

interface LokasjonOgRecordId {
    recordId: number;
    punkt: Point;
}
