import { Geometry } from "geojson";
import { Materiale } from "./materiale";
import { Produksjonstype } from "./produksjonstype";

export interface Produksjonslenke {
    veglenkesekvensId: number;
    veglenkeNummer: number;
    økt: string;
    målepunkter: number[];
    geometri: Geometry;
    minutterSiden: number;
    produksjonstyper: Produksjonstype[];
    produksjonsmateriale?: Materiale;
    hastighetKmH: number;
}
