export enum Tidsintervall {
    time0h = 0,
    time1h30m = 90,
    time2h = 120,
    time3h = 180,
    time4h = 240,
    time12h = 720,
}

export enum TidsintervallFarge {
    time1h30 = "#3DB5E7",
    time2h = "#009D79",
    time3h = "#FFD520",
    time4h = "#FF9600",
    time12h = "#E32129",
}

export const tilFargekode = (minutterSiden: number) => {
    if (minutterSiden <= Tidsintervall.time1h30m) {
        return TidsintervallFarge.time1h30;
    } else if (minutterSiden <= Tidsintervall.time2h) {
        return TidsintervallFarge.time2h;
    } else if (minutterSiden <= Tidsintervall.time3h) {
        return TidsintervallFarge.time3h;
    } else if (minutterSiden <= Tidsintervall.time4h) {
        return TidsintervallFarge.time4h;
    } else if (minutterSiden <= Tidsintervall.time12h) {
        return TidsintervallFarge.time12h;
    } else if (minutterSiden > Tidsintervall.time12h) {
        return TidsintervallFarge.time12h;
    } else {
        return "#ff0099";
    }
};
