import { startUnleash, Unleash } from "unleash-client";

let unleash: Unleash | undefined = undefined;

export async function getUnleashClient() {
    if (!unleash) {
        unleash = await startUnleash({
            url: "https://app.unleash-hosted.com/vegvesen/api/",
            appName: "KOPP",
            customHeaders: {
                Authorization: process.env.unleash_api_token!,
            },
        });
    }
    return unleash;
}
