import { atomWithStorage } from "jotai/utils";
import { LocalStorageKey } from "../../utils/storage/nøkler";
import { KameraStørrelse } from "../types";

export const valgteFylkerAtom = atomWithStorage<string[]>(
    LocalStorageKey.LOCALSTORAGE_WEBKAMERA_FYLKER,
    [],
);
export const kameraStørrelseAtom = atomWithStorage(
    LocalStorageKey.LOCALSTORAGE_KAMERA_STORRELSE,
    KameraStørrelse.Liten,
);
export const kameraFavoritterAtom = atomWithStorage<string[]>(
    LocalStorageKey.LOCALSTORAGE_FAVORITT_KAMERA,
    [],
);
