import { Ikon, IkonProps } from "./Ikon";
import styled from "styled-components";

interface InfotekstIkonProps extends IkonProps {
    onClick?: () => void;
}
export const InfotekstIkon = ({ width = 23, height = 26, onClick }: InfotekstIkonProps) => (
    <StyledIkon
        aria-label="Infotekstikon"
        $url="/ikon/message-info.svg"
        width={width}
        height={height}
        onClick={onClick}
    />
);

const StyledIkon = styled(Ikon)<InfotekstIkonProps>`
    &:hover {
        cursor: ${({ onClick }) => onClick && "pointer"};
    }
`;
