import { render } from "@testing-library/react";
import { Burgermeny } from "./Burgermeny";
import { axeTilpasset } from "../../utils/axeTilpasset";
import { Burgermenylenke } from "./BurgermenyLenker";

describe("BurgerMeny", () => {
    it("rendrer uten jest-axe-violations (fanger ikke alle UU-brudd)", async () => {
        const { container } = render(
            <Burgermeny>
                <Burgermenylenke href={"test"} ikonUrl={"test"} tekst={"test"} />
                <Burgermenylenke href={"test"} ikonUrl={""} tekst={"test"} />
            </Burgermeny>,
        );
        expect(await axeTilpasset(container)).toHaveNoViolations();
    });
});
