import { render, screen } from "@testing-library/react";
import { axeTilpasset } from "../../utils/axeTilpasset";
import { Feilside } from "./Feilside";
import React from "react";

describe("Feilside", () => {
    it("rendrer uten jest-axe-violations (fanger ikke alle UU-brudd)", async () => {
        const { container } = render(
            <Feilside tittel={"Rusk i maskineriet"}>
                Her har det visst skjedd noe galt. Vi i KOS-teamet har fått beskjed og vil utbedre
                feilen så fort som mulig. Kontakt{" "}
                <a href="mailto:kos@vegvesen.no">kos@vegvesen.no</a> dersom feilen vedvarer.
            </Feilside>,
        );
        expect(screen.getByText("kos@vegvesen.no")).toBeVisible();
        expect(await axeTilpasset(container)).toHaveNoViolations();
    });
});
