import styled from "styled-components";
import { Lenke } from "./lenker/Lenke";

interface Props {
    $valgt: string;
}
export const Fane = styled(Lenke).attrs<Props>((props) => ({
    $valgt: props.$valgt,
    størrelse: "XL",
}))`
    border-bottom: ${(props) => props.$valgt === "valgt" && "2px solid var(--orange)"};
    font-weight: ${(props) => (props.$valgt === "valgt" ? "600" : "400")};
    margin: 0;

    &:hover {
        border-bottom: 3px solid
            ${(props) => (props.$valgt === "valgt" ? "var(--orange)" : "var(--gray-dark-65)")};
    }
`;
