import styled from "styled-components";
import { KnappBasis } from "./KnappBasis";

export const KnappPrimær = styled(KnappBasis)`
    background-color: var(--gray-dark);
    color: var(--white);
    border: 3px solid var(--gray-dark);

    &:active {
        background-color: var(--gray-darker);
        border-color: var(--gray-darker);
    }

    &:hover {
        &:not(:focus) {
            background-color: var(--traffic-sign-gray);
            border-color: var(--traffic-sign-gray);
            border-bottom: 3px solid var(--orange);
        }
    }

    &:focus {
        background-color: var(--traffic-sign-gray);
        border-color: var(--traffic-sign-gray);
        outline: 3px solid var(--orange);
        outline-offset: -1px;
    }

    &:disabled {
        background-color: var(--gray-dark-65);
        border-color: var(--gray-dark-65);
    }
`;
