import styled from "styled-components";
import { KnappBasis } from "./KnappBasis";

export const KnappSekundær = styled(KnappBasis)`
    background-color: var(--white);
    color: var(--gray-dark);
    border: 3px solid transparent;
    outline: 2px solid var(--gray-dark);
    outline-offset: -2px;

    &:active {
        background-color: var(--gray-regular);
        border: 3px solid var(--gray-darker);
    }

    &:hover {
        outline: 3px solid var(--gray-dark);
    }

    &:focus {
        border: 3px solid var(--gray-darker);
        outline: 3px solid var(--orange);
        outline-offset: 1px;
    }

    &:disabled {
        background-color: var(--gray-dark-65);
        outline: 3px var(--gray-dark-65);
        margin: 0;
    }
`;
