import styled from "styled-components";
import { Tekst } from "./Tekst";

interface Props {
    $valgt: boolean;
}
export const Fanetekst = styled(Tekst).attrs<Props>((props) => ({
    $valgt: props.$valgt,
    størrelse: "XL",
    noMarin: true,
}))`
    border-bottom: ${(props) => props.$valgt && "2px solid var(--orange)"};
    font-weight: ${(props) => (props.$valgt ? "600" : "400")};
    margin: 0;

    &:hover {
        border-bottom: 3px solid
            ${(props) => (props.$valgt ? "var(--orange)" : "var(--gray-dark-65)")};
        margin-bottom: -1px;
        cursor: pointer;
    }

    &:active {
        border-bottom: 3px solid var(--gray-dark-65);
        margin-bottom: -2px;
    }
`;
