import { atom } from "jotai/index";
import { Friksjonsmåling, FriksjonsmålingMetadata } from "../friksjonsmålingTyper";

export const aktivFriksjonsmålingAtom = atom<Friksjonsmåling | undefined>(undefined);
export const metdataFriksjonsmålingAtom = atom<FriksjonsmålingMetadata | undefined>(undefined);
export const aktivMålingTidspunktAtom = atom<number | undefined>((get) => {
    const aktivMålingTid = get(aktivFriksjonsmålingAtom)?.tid;
    const starttid = get(metdataFriksjonsmålingAtom)?.dato;
    return aktivMålingTid && starttid ? starttid.add(aktivMålingTid, "ms").valueOf() : undefined;
});
export const aktivHoverRecordFriksjonAtom = atom<number | undefined>(undefined);
