import { Tidsintervall } from "../utils/tidsintervallUtils";
import { atom } from "jotai";

export interface Tidsfilter {
    startTidspunkt: number;
    sluttTidspunkt: number;
    valgt: boolean;
}

export const defaultTidsfilter: Tidsfilter[] = [
    {
        startTidspunkt: Tidsintervall.time0h,
        sluttTidspunkt: Tidsintervall.time1h30m,
        valgt: true,
    },
    {
        startTidspunkt: Tidsintervall.time1h30m,
        sluttTidspunkt: Tidsintervall.time2h,
        valgt: true,
    },
    {
        startTidspunkt: Tidsintervall.time2h,
        sluttTidspunkt: Tidsintervall.time3h,
        valgt: true,
    },
    {
        startTidspunkt: Tidsintervall.time3h,
        sluttTidspunkt: Tidsintervall.time4h,
        valgt: true,
    },
    {
        startTidspunkt: Tidsintervall.time4h,
        sluttTidspunkt: Tidsintervall.time12h,
        valgt: true,
    },
];

export const tidsfilterAtom = atom<Tidsfilter[]>(defaultTidsfilter);
