export const camelCaseToSpace = (str: string) => {
    let res = str.replace(/([A-Z|ÆØÅ])/g, " $1");
    if (res.charAt(0) === " ") {
        res = res.slice(1);
    }
    return res.charAt(0).toUpperCase() + res.slice(1).toLowerCase();
};

export const capitalizeFirst = (str: string) => {
    return str.charAt(0).toUpperCase() + str.slice(1).toLowerCase();
};
